# Uses of Interface
org.jboss.modules.ModuleSpec.AliasBuilder

Packages that use ModuleSpec.AliasBuilder
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ModuleSpec.AliasBuilder in org.jboss.modules

Methods in org.jboss.modules that return ModuleSpec.AliasBuilder
Modifier and Type
Method
Description
`static ModuleSpec.AliasBuilder`
ModuleSpec.`buildAlias(String name, String aliasName)`
Get a builder for a new module alias specification.
`static ModuleSpec.AliasBuilder`
ModuleSpec.`buildAlias(ModuleIdentifier moduleIdentifier, ModuleIdentifier aliasTarget)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `ModuleSpec.buildAlias(String, String)` instead.